# class KToolBarButton | A toolbar button. More...
Internal Use Only
Definition | `#include <ktoolbarbutton.h>`
Inherits | QToolButton (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KToolBarButton (const QString& icon, int id, QWidget *parent, const char *name=0L, const QString &txt=QString::null, KInstance *_instance = KGlobal::instance())
- KToolBarButton (const QPixmap& pixmap, int id, QWidget *parent, const char *name=0L, const QString &txt=QString::null)
- KToolBarButton (QWidget *parent=0L, const char *name=0L)
- ~KToolBarButton ()
- void setEnabled (bool enable = true)
- virtual void setPixmap (const QPixmap &pixmap)
- virtual void setPixmap (const QPixmap &pixmap, bool generate)
- virtual void setDefaultPixmap (const QPixmap& pixmap)
- virtual void setDisabledPixmap (const QPixmap& pixmap)
- virtual void setText (const QString &text)
- virtual void setIcon (const QString &icon)
- virtual void setIcon (const QString &icon, bool generate)
- virtual void setDefaultIcon (const QString& icon)
- virtual void setDisabledIcon (const QString& icon)
- virtual void setIconSet ( const QIconSet &iconset, bool on = false )
- void on (bool flag = true)
- void toggle ()
- void setToggle (bool toggle = true)
- QPopupMenu * popup ()
- void setPopup (QPopupMenu *p)
- void setPopup (QPopupMenu *p, bool toggle)
- void setDelayedPopup (QPopupMenu *p, bool toggle = false)
- void setRadio (bool f = true)
- void setNoStyle (bool no_style = true)

#### Public Slots

- void modeChange ()
- virtual void setTextLabel (const QString&)

#### Signals

- void clicked (int)
- void doubleClicked (int)
- void pressed (int)
- void released (int)
- void toggled (int)
- void highlighted (int, bool)

#### Protected Methods

- void paletteChange (const QPalette &)
- void leaveEvent (QEvent *e)
- void enterEvent (QEvent *e)
- void drawButton (QPainter *p)
- bool eventFilter (QObject *o, QEvent *e)
- void showMenu ()
- void makeDefaultPixmap ()
- void makeDisabledPixmap ()

#### Protected Slots

- void slotClicked ()
- void slotPressed ()
- void slotReleased ()
- void slotToggled ()
- void slotDelayTimeout ()

## Detailed Description

A toolbar button. This is used internally by KToolBar, use the KToolBar methods instead.

KToolBarButton (const QString& icon, int id, QWidget *parent, const char *name=0L, const QString &txt=QString::null, KInstance *_instance = KGlobal::instance()) | ### KToolBarButton

Construct a button with an icon loaded by the button itself. This will trust the button to load the correct icon with the correct size.

Parameters:

icon | Name of icon to load (may be absolute or relative)
id | Id of this button
parent | This button's parent
name | This button's internal name
txt | This button's text (in a tooltip or otherwise)

KToolBarButton (const QPixmap& pixmap, int id, QWidget *parent, const char *name=0L, const QString &txt=QString::null) | ### KToolBarButton

Construct a button with an existing pixmap. It is not recommended that you use this as the internal icon loading code will almost always get it "right".

Parameters:

icon | Name of icon to load (may be absolute or relative)
id | Id of this button
parent | This button's parent
name | This button's internal name
txt | This button's text (in a tooltip or otherwise)

KToolBarButton (QWidget *parent=0L, const char *name=0L) | ### KToolBarButton

Construct a separator button

Parameters:

parent | This button's parent
name | This button's internal name

~KToolBarButton () | ### ~KToolBarButton

Standard destructor

void setEnabled (bool enable = true) | ### setEnabled

Enable/Disable this button

Parameters:

enable | Defaults to true

void setPixmap (const QPixmap &pixmap) | ### setPixmap

[virtual]

Set the pixmap directly for this button. This pixmap should be the active one... the dimmed and disabled pixmaps are constructed based on this one. However, don't use this function unless you are positive that you don't want to use setIcon.

Parameters:

pixmap | The active pixmap

void setPixmap (const QPixmap &pixmap, bool generate) | ### setPixmap

[virtual]

Set the pixmap directly for this button. This pixmap should be the active one.. however, the disabled and default pixmaps will only be constructed if generate is true. In any event, don't use this function unless you are positive that you don't want to use setIcon.

Parameters:

pixmap | The active pixmap
generate | If true, then the other pixmaps will be automatically generated using configurable effects

void setDefaultPixmap (const QPixmap& pixmap) | ### setDefaultPixmap

[virtual]

Force the button to use this pixmap as the default one rather then generating it using effects.

Parameters:

pixmap | The pixmap to use as the default (normal) one

void setDisabledPixmap (const QPixmap& pixmap) | ### setDisabledPixmap

[virtual]

Force the button to use this pixmap when disabled one rather then generating it using effects.

Parameters:

pixmap | The pixmap to use when disabled

void setText (const QString &text) | ### setText

[virtual]

Set the text for this button. The text will be either used as a tooltip (IconOnly) or will be along side the icon

Parameters:

text | The button (or tooltip) text

void setIcon (const QString &icon) | ### setIcon

[virtual]

Set the icon for this button. This icon should be the active one... the dimmed and disabled icons are constructed based on this one. The actual pixmap will be loaded internally. This function is preferred over setPixmap

Parameters:

icon | The name of the active pixmap

void setIcon (const QString &icon, bool generate) | ### setIcon

[virtual]

Set the active icon for this button. The pixmap itself is loaded internally based on the icon size... .. the disabled and default pixmaps, however will only be constructed if generate is true. This function is preferred over setPixmap

Parameters:

icon | The name of the active icon
generate | If true, then the other icons are automagically generated from this one

void setDefaultIcon (const QString& icon) | ### setDefaultIcon

[virtual]

Force the button to use this icon as the default one rather then generating it using effects.

Parameters:

icon | The icon to use as the default (normal) one

void setDisabledIcon (const QString& icon) | ### setDisabledIcon

[virtual]

Force the button to use this icon when disabled one rather then generating it using effects.

Parameters:

icon | The icon to use when disabled

void setIconSet ( const QIconSet &iconset, bool on = false ) | ### setIconSet

[virtual]

Set the pixmaps for this toolbar button from a QIconSet. If you call this you don't need to call any of the other methods that set icons or pixmaps.

Parameters:

iconset | The iconset to use
on | Unused. This is for compatibility with the Qt API.

Reimplemented from QToolButton.

void on (bool flag = true) | ### on

Turn this button on or off

Parameters:

flag | true or false

void toggle () | ### toggle

Toggle this button

Reimplemented from QToolButton.

void setToggle (bool toggle = true) | ### setToggle

Turn this button into a toggle button or disable the toggle aspects of it. This does not toggle the button itself. Use toggle for that.

Parameters:

toggle | true or false

QPopupMenu * popup () | ### popup

Return a pointer to this button's popup menu (if it exists)

Reimplemented from QToolButton.

void setPopup (QPopupMenu *p) | ### setPopup

Give this button a popup menu. There will not be a delay when you press the button. Use setDelayedPopup if you want that behavior

Parameters:

p | The new popup menu

Reimplemented from QToolButton.

void setPopup (QPopupMenu *p, bool toggle) | ### setPopup

See setDelayedPopup for a description of toggle

Reimplemented from QToolButton.

void setDelayedPopup (QPopupMenu *p, bool toggle = false) | ### setDelayedPopup

Gives this button a delayed popup menu.

This function allows you to add a delayed popup menu to the button. The popup menu is then only displayed when the button is pressed and held down for about half a second. You can also make the poup-menu "sticky", i.e. visible until a selection is made or the mouse is clikced elsewhere, by simply setting the second argument to true. This "sticky" button feature allows you to make a selection without having to press and hold down the mouse while making a selection.

Parameters:

p | the new popup menu
toggle | if true, makes the button "sticky" (toggled)

void setRadio (bool f = true) | ### setRadio

Turn this button into a radio button

Parameters:

f | true or false

void setNoStyle (bool no_style = true) | ### setNoStyle

Toolbar buttons naturally will assume the global styles concerning icons, icons sizes, etc. You can use this function to explicitely turn this off, if you like.

Parameters:

no_style | Will disable styles if true

void clicked (int) | ### clicked

[signal]

void doubleClicked (int) | ### doubleClicked

[signal]

void pressed (int) | ### pressed

[signal]

void released (int) | ### released

[signal]

void toggled (int) | ### toggled

[signal]

void highlighted (int, bool) | ### highlighted

[signal]

void modeChange () | ### modeChange

[slot]

This slot should be called whenever the toolbar mode has potentially changed. This includes such events as text changing, orientation changing, etc.

void setTextLabel (const QString&) | ### setTextLabel

[virtual slot]

Reimplemented from QToolButton.

void paletteChange (const QPalette &) | ### paletteChange

[protected]

void leaveEvent (QEvent *e) | ### leaveEvent

[protected]

Reimplemented from QToolButton.

void enterEvent (QEvent *e) | ### enterEvent

[protected]

Reimplemented from QToolButton.

void drawButton (QPainter *p) | ### drawButton

[protected]

Reimplemented from QToolButton.

bool eventFilter (QObject *o, QEvent *e) | ### eventFilter

[protected]

void showMenu () | ### showMenu

[protected]

void makeDefaultPixmap () | ### makeDefaultPixmap

[protected]

void makeDisabledPixmap () | ### makeDisabledPixmap

[protected]

void slotClicked () | ### slotClicked

[protected slots slot]

void slotPressed () | ### slotPressed

[protected slots slot]

void slotReleased () | ### slotReleased

[protected slots slot]

void slotToggled () | ### slotToggled

[protected slots slot]

void slotDelayTimeout () | ### slotDelayTimeout

[protected slots slot]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.